Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cxf.ws.policy
Class PolicyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.cxf.common.i18n.UncheckedException
                      org.apache.cxf.ws.policy.PolicyException

All Implemented Interfaces:
  Serializable

    public class PolicyException

extends org.apache.cxf.common.i18n.UncheckedException

PolicyException is the type of RuntimeException thrown by any exceptions encountered by the policy framework.

See Also:
  Serialized Form

Constructor Summary
`PolicyException(AssertionInfo info)`
`PolicyException(org.apache.cxf.common.i18n.Message message)`
`PolicyException(org.apache.cxf.common.i18n.Message msg, Throwable t)`
`PolicyException(Throwable cause)`

Method Summary

Methods inherited from class org.apache.cxf.common.i18n.UncheckedException
`getCode, getMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PolicyException

    public PolicyException(org.apache.cxf.common.i18n.Message msg,
                           Throwable t)

### PolicyException

    public PolicyException(org.apache.cxf.common.i18n.Message message)

### PolicyException

    public PolicyException(Throwable cause)

### PolicyException

    public PolicyException(AssertionInfo info)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Apache CXF API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Apache CXF